<?php
/**
 * The Header for the template.
 *
 * @package WordPress
 */
 
if (!isset( $content_width ) ) $content_width = 1170;

if(session_id() == '') {
	session_start();
}
 
global $pp_homepage_style;
?><!DOCTYPE html>
<html <?php language_attributes(); ?> <?php if(isset($pp_homepage_style) && !empty($pp_homepage_style)) { echo 'data-style="'.$pp_homepage_style.'"'; } ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

<title><?php wp_title('&lsaquo;', true, 'right'); ?><?php bloginfo('name'); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php
	/**
	*	Get favicon URL
	**/
	$pp_favicon = get_option('pp_favicon');
	
	if(!empty($pp_favicon))
	{
?>
		<link rel="shortcut icon" href="<?php echo $pp_favicon; ?>" />
<?php
	}
?>

<?php
if(is_single())
{
	$fb_thumb = wp_get_attachment_image_src($post->ID, 'gallery_3', true);
	if(isset($fb_thumb[0]) && !empty($fb_thumb[0]))
	{
		$image_desc = get_post_field('post_content', $post->ID);
	?>
	<meta property="og:image" content="<?php echo $fb_thumb[0]; ?>"/>
	<meta property="og:title" content="<?php the_title(); ?>"/>
	<meta property="og:url" content="<?php echo get_permalink($post->ID); ?>"/>
	<meta property="og:description" content="<?php echo strip_tags($image_desc); ?>"/>
	<?php
	}
}
?>

<?php
	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>

</head>

<body <?php body_class(); ?> <?php if(isset($pp_homepage_style) && !empty($pp_homepage_style)) { echo 'data-style="'.$pp_homepage_style.'"'; } ?>>
	<?php
		//Check if disable right click
		$pp_enable_right_click = get_option('pp_enable_right_click');
		$pp_right_click_text = get_option('pp_right_click_text');
		
		//Check if disable image dragging
		$pp_enable_dragging = get_option('pp_enable_dragging');
		
		//Check auto display gallery info
		$pp_gallery_auto_info = get_option('pp_gallery_auto_info');
		
		//Check if use reflection in flow gallery
		$pp_flow_enable_reflection = get_option('pp_flow_enable_reflection');
		
		//Check if use AJAX search
		$pp_blog_ajax_search = get_option('pp_blog_ajax_search');
		
		//Check if hide gallery info
		$pp_gallery_auto_info = get_option('pp_gallery_auto_info');
	?>
	<input type="hidden" id="pp_enable_reflection" name="pp_enable_reflection" value="<?php echo $pp_flow_enable_reflection; ?>"/>
	<input type="hidden" id="pp_enable_right_click" name="pp_enable_right_click" value="<?php echo $pp_enable_right_click; ?>"/>
	<input type="hidden" id="pp_right_click_text" name="pp_right_click_text" value="<?php echo $pp_right_click_text; ?>"/>
	<input type="hidden" id="pp_enable_dragging" name="pp_enable_dragging" value="<?php echo $pp_enable_dragging; ?>"/>
	<input type="hidden" id="pp_gallery_auto_info" name="pp_gallery_auto_info" value="<?php echo $pp_gallery_auto_info; ?>"/>
	<input type="hidden" id="pp_image_path" name="pp_image_path" value="<?php echo get_template_directory_uri(); ?>/images/"/>
	<input type="hidden" id="pp_homepage_url" name="pp_homepage_url" value="<?php echo home_url(); ?>"/>
	<input type="hidden" id="pp_blog_ajax_search" name="pp_blog_ajax_search" value="<?php echo $pp_blog_ajax_search; ?>"/>
	<input type="hidden" id="pp_gallery_auto_info" name="pp_gallery_auto_info" value="<?php echo $pp_gallery_auto_info; ?>"/>
	
	<?php
		//Check footer sidebar columns
		$pp_footer_style = get_option('pp_footer_style');
	?>
	<input type="hidden" id="pp_footer_style" name="pp_footer_style" value="<?php echo $pp_footer_style; ?>"/>
	
	<!-- Begin mobile menu -->
	<div class="mobile_menu_wrapper">
	    <?php 	
	    	if ( has_nav_menu( 'primary-menu' ) ) 
			{
			    //Get page nav
			    wp_nav_menu( 
			        	array( 
			        		'menu_id'			=> 'mobile_main_menu',
	    		    		'menu_class'		=> 'mobile_main_nav',
			        		'theme_location' 	=> 'primary-menu',
			        	) 
			    ); 
			}
	    ?>
	</div>
	<!-- End mobile menu -->

	<!-- Begin template wrapper -->
	<div id="wrapper">
	
	<div class="top_bar <?php if(isset($pp_homepage_style) && !empty($pp_homepage_style)) { echo $pp_homepage_style; } ?>">
	
		<div id="mobile_nav_icon"></div>
	
		<div id="menu_wrapper">
			
			<!-- Begin logo -->	
			<?php
			    //get custom logo
			    $pp_logo = get_option('pp_logo');
			    $pp_retina_logo = get_option('pp_retina_logo');
			    $pp_retina_logo_width = 0;
			    $pp_retina_logo_height = 0;
			    			
			    if(empty($pp_logo) && empty($pp_retina_logo))
			    {
			    	$pp_retina_logo = get_template_directory_uri().'/images/logo@2x.png';
			    	$pp_retina_logo_width = 143;
			    	$pp_retina_logo_height = 31;
			    }
			    
			    if(!empty($pp_retina_logo))
			    {
			    	if(empty($pp_retina_logo_width) && empty($pp_retina_logo_height))
			    	{
			    		//Get image width and height
			    		$pp_retina_logo_id = pp_get_image_id($pp_retina_logo);
			    		$image_logo = wp_get_attachment_image_src($pp_retina_logo_id, 'original');
			    		
			    		$pp_retina_logo = $image_logo[0];
			    		$pp_retina_logo_width = $image_logo[1]/2;
			    		$pp_retina_logo_height = $image_logo[2]/2;
			    	}
			?>		
			    <a id="custom_logo" class="logo_wrapper" href="<?php echo home_url(); ?>">
			    	<img src="<?php echo $pp_retina_logo; ?>" alt="" width="<?php echo $pp_retina_logo_width; ?>" height="<?php echo $pp_retina_logo_height; ?>"/>
			    </a>
			<?php
			    }
			    else //if not retina logo
			    {
			?>
			    <a id="custom_logo" class="logo_wrapper" href="<?php echo home_url(); ?>">
			    	<img src="<?php echo $pp_logo?>" alt=""/>
			    </a>
			<?php
			    }
			?>
			<!-- End logo -->
			
		    <!-- Begin main nav -->
		    <div id="nav_wrapper">
		    	<div class="nav_wrapper_inner">
		    		<?php
		    			//Check if display search in header
		    			$pp_ajax_search_header = get_option('pp_ajax_search_header');
		    			
		    			if(!empty($pp_ajax_search_header))
		    			{
		    		?>
		    		<form role="search" method="get" name="searchform" id="searchform" action="<?php echo home_url(); ?>/">
						<div>
							<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" autocomplete="off"/>
							<button>
						    	<img src="<?php echo get_template_directory_uri(); ?>/images/search_form_icon.png" alt=""/>
						    </button>
						</div>
					    <div id="autocomplete"></div>
					</form>
					<?php
						}
					?>
		    		<div id="menu_border_wrapper">
		    			<?php 	
		    				if ( has_nav_menu( 'primary-menu' ) ) 
		    				{
			    			    //Get page nav
			    			    wp_nav_menu( 
			    			        	array( 
			    			        		'menu_id'			=> 'main_menu',
			    			        		'menu_class'		=> 'nav',
			    			        		'theme_location' 	=> 'primary-menu',
			    			        	) 
			    			    ); 
			    			}
			    			else
						    {
						     		echo '<div class="notice">Please setup "Main Menu" using Wordpress Dashboard > Appearance > Menus</div>';
						    }
		    			?>
		    		</div>
		    	</div>
		    </div>
		    
		    <!-- End main nav -->

		    </div>
		</div>