<?php
/**
 * The main template file.
 *
 * @package WordPress
 */

get_header(); 

?>

<br class="clear"/>

<div id="page_caption">
	<?php
	    //Get site title
	    $site_title = get_bloginfo('title');
	?>
	<h1 class="cufon"><?php _e( 'The Blog', THEMEDOMAIN ); ?></h1>
	<div class="page_caption_desc"><?php echo $site_title; ?></div>
</div>

<div id="page_content_wrapper">
    
    <div class="inner">

    	<!-- Begin main content -->
    	<div class="inner_wrapper">
    		
    		<div class="sidebar_content full_width nomargintop">

    			<div class="sidebar_content">
					
<?php

global $more; $more = false; 

$query_string ="post_type=post&paged=$paged";
query_posts($query_string);

if (have_posts()) : while (have_posts()) : the_post();
	$image_thumb = '';
								
	if(has_post_thumbnail(get_the_ID(), 'large'))
	{
	    $image_id = get_post_thumbnail_id(get_the_ID());
	    $image_thumb = wp_get_attachment_image_src($image_id, 'large', true);
	}
?>

<!-- Begin each blog post -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="post_wrapper">
	    
	    <div class="post_date">
	    	<div class="date"><?php the_time('j'); ?></div>
		    <div class="month"><?php the_time('M'); ?></div>
		</div>
	    
	    <div class="post_content_wrapper">
	    
	    	<?php
		    	if(!empty($image_thumb))
		    	{
		    		$small_image_url = wp_get_attachment_image_src($image_id, 'blog', true);
		    ?>
		    
		    <div class="post_img">
		    	<a href="<?php the_permalink(); ?>">
		    		<img src="<?php echo $small_image_url[0]; ?>" alt="" class="" style="width:<?php echo $small_image_url[1]; ?>px;height:<?php echo $small_image_url[2]; ?>px;"/>
		    	</a>
		    </div>
		    
		    <?php
		    	}
		    ?>
	    
		    <div class="post_header">
		    	<h5><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h5>
		    	<div class="post_detail">
					<?php
			    		$post_categories = wp_get_post_categories(get_the_ID());
			    		
			    		foreach($post_categories as $c)
			    		{
							$cat = get_category( $c );
					?>
						<a href="<?php echo get_category_link($cat->term_id); ?>"><?php echo $cat->name; ?></a> /
					<?php
						}
			    	?>
			    	<a href="<?php the_permalink(); ?>"><?php comments_number(__('0 Comment', THEMEDOMAIN), __('1 Comment', THEMEDOMAIN), __('% Comments', THEMEDOMAIN)); ?></a> / <?php echo get_the_time(THEMEDATEFORMAT); ?>
				</div>
			    <br class="clear"/>
			    
			    <?php
			    	$pp_blog_display_full = get_option('pp_blog_display_full');
			    	
			    	if(!empty($pp_blog_display_full))
			    	{
			    		the_content();
			    	}
			    	else
			    	{
			    		the_excerpt();
			    ?>
			    
			    		<br/>
			    		<a class="button" href="<?php the_permalink(); ?>"><?php echo _e( 'Read More', THEMEDOMAIN ); ?> →</a>
			    
			    <?php
			    	}
			    ?>
		    </div>
	    </div>
	    
	</div>

</div>
<br class="clear"/>
<!-- End each blog post -->

<?php endwhile; endif; ?>

	    	<?php
	    	if($wp_query->max_num_pages > 1)
			{
				if (function_exists("wpapi_pagination")) 
				{
				    wpapi_pagination($wp_query->max_num_pages);
				}
				else
				{
				?>
				    <div class="pagination"><p><?php posts_nav_link(' '); ?></p></div>
				<?php
				}
			?>
			<div class="pagination_detail">
		     	<?php
		     		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		     	?>
		     	<?php _e( 'Page', THEMEDOMAIN ); ?> <?php echo $paged; ?> <?php _e( 'of', THEMEDOMAIN ); ?> <?php echo $wp_query->max_num_pages; ?>
		     </div>
		     <?php
		     }
		     ?>
    		
			</div>
    	
    		<div class="sidebar_wrapper">
    		
    			<div class="sidebar_top"></div>
    		
    			<div class="sidebar">
    			
    				<div class="content">
    			
    					<ul class="sidebar_widget">
    					<?php dynamic_sidebar('Blog Sidebar'); ?>
    					</ul>
    				
    				</div>
    		
    			</div>
    			<br class="clear"/>
    	
    			<div class="sidebar_bottom"></div>
    		</div>
    		
    	</div>
    	
    </div>
    <!-- End main content -->

</div>  
<br class="clear"/><br/><br/>
<?php get_footer(); ?>