<?php
function ppb_text_func($atts, $content) {

	//extract short code attr
	extract(shortcode_atts(array(
		'size' => 'one_third'
	), $atts));

	$return_html = '<div class="'.$size.' withpadding"><div class="page_content_wrapper">'.pp_apply_content($content).'</div></div>';

	return $return_html;

}

add_shortcode('ppb_text', 'ppb_text_func');


function ppb_divider_func($atts, $content) {

	//extract short code attr
	extract(shortcode_atts(array(
		'size' => 'one'
	), $atts));

	$return_html = '<div class="divider '.$size.'">&nbsp;</div>';

	return $return_html;

}

add_shortcode('ppb_divider', 'ppb_divider_func');


function ppb_portfolio_func($atts, $content) {
	remove_filter('the_content', 'pp_formatter', 99);

	//extract short code attr
	extract(shortcode_atts(array(
		'size' => 'one',
		'title' => '',
		'items' => 4,
		'set' => '',
		'order' => 'default',
		'background' => '',
	), $atts));
	
	if(!is_numeric($items))
	{
		$items = 4;
	}
	
	$return_html = '<div class="'.$size.' withpadding ';
	
	if(!empty($background))
	{
		$return_html.= 'withbg';
	}
	
	$return_html.= '" ';
	
	if(!empty($background))
	{
		$return_html.= 'style="background-image: url('.$background.');background-attachment: fixed;background-position: left top;background-repeat: repeat;" data-type="background" data-speed="10"';
	}
	
	$return_html.= '>';
	
	$return_html.='<div class="page_content_wrapper" style="text-align:center">';
	
	//Display Title
	if(!empty($title))
	{
		$return_html.= '<h2 class="ppb_title">'.$title.'</h2>';
	}
	
	//Display Content
	if(!empty($content))
	{
		$return_html.= '<div class="page_caption_desc">'.$content.'</div>';
	}
	
	$portfolio_order = 'ASC';
	$portfolio_order_by = 'menu_order';
	switch($order)
	{
		case 'default':
			$portfolio_order = 'ASC';
			$portfolio_order_by = 'menu_order';
		break;
		
		case 'newest':
			$portfolio_order = 'DESC';
			$portfolio_order_by = 'post_date';
		break;
		
		case 'oldest':
			$portfolio_order = 'ASC';
			$portfolio_order_by = 'post_date';
		break;
		
		case 'title':
			$portfolio_order = 'ASC';
			$portfolio_order_by = 'title';
		break;
		
		case 'random':
			$portfolio_order = 'ASC';
			$portfolio_order_by = 'rand';
		break;
	}
	
	//Get portfolio items
	$args = array(
	    'numberposts' => $items,
	    'order' => $portfolio_order,
	    'orderby' => $portfolio_order_by,
	    'post_type' => array('portfolios'),
	);
	
	if(!empty($set))
	{
		$args['portfoliosets'] = $set;
	}
	$portfolios_arr = get_posts($args);
	
	if(!empty($portfolios_arr) && is_array($portfolios_arr))
	{
		$return_html.= '<div id="portfolio_filter_wrapper" class="four_cols portfolio-content section content clearfix">';
	
		foreach($portfolios_arr as $key => $portfolio)
		{
			$image_url = '';
			$portfolio_ID = $portfolio->ID;
					
			if(has_post_thumbnail($portfolio_ID, 'large'))
			{
			    $image_id = get_post_thumbnail_id($portfolio_ID);
			    $image_url = wp_get_attachment_image_src($image_id, 'full', true);
			    
			    $small_image_url = wp_get_attachment_image_src($image_id, 'gallery_4', true);
			}
			
			$portfolio_link_url = get_post_meta($portfolio_ID, 'portfolio_link_url', true);
			
			if(empty($portfolio_link_url))
			{
			    $permalink_url = get_permalink($portfolio_ID);
			}
			else
			{
			    $permalink_url = $portfolio_link_url;
			}
			
			$last_class = '';
			if(($key+1)%4==0)
			{
				$last_class = 'last';
			}
			
			//Begin display HTML
			$return_html.= '<div class="element portfolio4filter_wrapper">';
			$return_html.= '<div class="one_fourth gallery4 portfolio_type fadeIn animated'.($key+1).' '.$last_class.'">';
			
			if(!empty($image_url[0]))
			{
				$portfolio_type = get_post_meta($portfolio_ID, 'portfolio_type', true);
			    $portfolio_video_id = get_post_meta($portfolio_ID, 'portfolio_video_id', true);
			    
			    switch($portfolio_type)
			    {
			    case 'External Link':
					$portfolio_link_url = get_post_meta($portfolio_ID, 'portfolio_link_url', true);
			
					$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
					
		            $return_html.= '<div class="mask">';
		            $return_html.= '<a target="_blank" href="'.$portfolio_link_url.'">
			    	    	<div class="mask_circle">
				            	<img src="'.get_template_directory_uri().'/images/icon_file.png" alt="" width="40" height="40"/>
					    	</div>
					    </a>
			        </div>';
			        
			    break;
			    //end external link
			    
			    case 'Portfolio Content':
        	    default:

		        	$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
					
		            $return_html.= '<div class="mask">
		            	<a href="'.get_permalink($portfolio_ID).'">
			    	    	<div class="mask_circle">
				            	<img src="'.get_template_directory_uri().'/images/icon_file.png" alt="" width="40" height="40"/>
					    	</div>
					    </a>
			        </div>';
	        
			    break;
			    //end external link
			    
			    case 'Fullscreen Vimeo Video':
        	    case 'Fullscreen Youtube Video':
        	    case 'Fullscreen Self-Hosted Video':

		        	$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
					
		            $return_html.= '<div class="mask">
		            	<a href="'.get_permalink($portfolio_ID).'">
			    	    	<div class="mask_circle">
				            	<img src="'.get_template_directory_uri().'/images/icon_tv.png" alt="" width="40" height="40"/>
					    	</div>
					    </a>
			        </div>';
	        
        	    break;
        	    //end fullscreen video Content
        	    
        	    case 'Image':
			
					$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
					
		            $return_html.= '<div class="mask">
		            	<a data-title="<strong>'.$portfolio->post_title.'</strong>'.$portfolio->post_content.'" href="'.$image_url[0].'" class="fancy-gallery">
				            <div class="mask_circle">
					            	<img src="'.get_template_directory_uri().'/images/icon_picture.png" alt="" width="40" height="40"/>
				            </div>
			    	    </a>
			        </div>';
			
			    break;
			    //end image
			    
			    case 'Youtube Video':
			
					$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
					
		            $return_html.= '<div class="mask">
		            	<a title="'.$portfolio->post_title.'" href="#video_'.$portfolio_video_id.'" class="lightbox_youtube">
			    	    	<div class="mask_circle">
				            	<img src="'.get_template_directory_uri().'/images/icon_tv.png" alt="" width="40" height="40"/>
					    	</div>
					    </a>
			        </div>
					    
					<div style="display:none;">
					    <div id="video_'.$portfolio_video_id.'" style="width:900px;height:488px">
					        
					        <iframe title="YouTube video player" width="900" height="488" src="http://www.youtube.com/embed/'.$portfolio_video_id.'?theme=dark&amp;rel=0&amp;wmode=transparent" allowfullscreen></iframe>
					        
					    </div>	
					</div>';
			
			    break;
			    //end youtube
			
			case 'Vimeo Video':

					$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
		
		            $return_html.= '<div class="mask">
		            	<a title="'.$portfolio->post_title.'" href="#video_'.$portfolio_video_id.'" class="lightbox_vimeo">
			    	    	<div class="mask_circle">
				            	<img src="'.get_template_directory_uri().'/images/icon_tv.png" alt="" width="40" height="40"/>
					    	</div>
					    </a>
			        </div>
					    
					<div style="display:none;">
					    <div id="video_'.$portfolio_video_id.'" style="width:900px;height:506px">
					    
					        <iframe src="http://player.vimeo.com/video/'.$portfolio_video_id.'?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="900" height="506"></iframe>
					        
					    </div>	
					</div>';
			
			    break;
			    //end vimeo
			    
			case 'Self-Hosted Video':
			
			    //Get video URL
			    $portfolio_mp4_url = get_post_meta($portfolio_ID, 'portfolio_mp4_url', true);
			    $preview_image = wp_get_attachment_image_src($image_id, 'large', true);
			    
					$return_html.= '<img src="'.$small_image_url[0].'" alt="" class="blur_effect"/>';
		
					$return_html.= '<div class="mask">
					    <a title="'.$portfolio->post_title.'" href="#video_self_'.key.'" class="lightbox_vimeo">
			    	    	<div class="mask_circle">
				            	<img src="'.get_template_directory_uri().'/images/icon_tv.png" alt="" width="40" height="40"/>
					    	</div>
					    </a>
			        </div>
					    
					<div style="display:none;">
					    <div id="video_self_'.$key.'" style="width:900px;height:488px">
					    
					        <div id="self_hosted_vid_'.$key.'"></div>
					        '.do_shortcode('[jwplayer id="self_hosted_vid_'.$key.'" file="'.$portfolio_mp4_url.'" image="'.$preview_image[0].'" width="900" height="488"]').'
					        
					    </div>	
					</div>';
			
			    break;
			    //end self-hosted
			    }
			    //end switch
			}
			$return_html.= '</div>';
			
			//Display portfolio detail
			$return_html.= '<br class="clear"/><div id="portfolio_desc_'.$portfolio_ID.'" class="portfolio_desc portfolio4 '.$last_class.'">';
            $return_html.= '<h6>'.$portfolio->post_title.'</h6>';
            $return_html.= '<span class="portfolio_excerpt">'.$portfolio->post_excerpt.'</span>';
			$return_html.= '</div>';
			
			$return_html.= '</div>';
		}
		
		$return_html.= '</div>';
	}
	
	$return_html.= '<br class="clear"/></div></div>';
	
	return $return_html;
}

add_shortcode('ppb_portfolio', 'ppb_portfolio_func');


function ppb_gallery_func($atts, $content) {
	remove_filter('the_content', 'pp_formatter', 99);

	//extract short code attr
	extract(shortcode_atts(array(
		'size' => 'one',
		'title' => '',
		'gallery' => '',
		'background' => '',
	), $atts));
	
	$return_html = '<div class="'.$size.' withpadding ';
	
	if(!empty($background))
	{
		$return_html.= 'withbg';
	}
	
	$return_html.= '" ';
	
	if(!empty($background))
	{
		$return_html.= 'style="background-image: url('.$background.');background-attachment: fixed;background-position: left top;background-repeat: repeat;" data-type="background" data-speed="10"';
	}
	
	$return_html.= '>';
	
	$return_html.='<div class="page_content_wrapper" style="text-align:center">';

	//Display Title
	if(!empty($title))
	{
		$return_html.= '<h2 class="ppb_title">'.$title.'</h2>';
	}
	
	//Display Content
	if(!empty($content))
	{
		$return_html.= '<div class="page_caption_desc">'.$content.'</div>';
	}
	
	//Get gallery images
	$all_photo_arr = get_post_meta($gallery, 'wpsimplegallery_gallery', true);
	
	//Get global gallery sorting
	$all_photo_arr = pp_resort_gallery_img($all_photo_arr);

	if(!empty($all_photo_arr) && is_array($all_photo_arr))
	{
		$return_html.= '<div id="photo_wall_wrapper" style="margin-top:50px;margin-bottom:0">';
		
		foreach($all_photo_arr as $key => $photo_id)
		{
		    $small_image_url = '';
		    $hyperlink_url = get_permalink($photo_id);
		    
		    if(!empty($photo_id))
		    {
		    	$image_url = wp_get_attachment_image_src($photo_id, 'original', true);
		        $small_image_url = wp_get_attachment_image_src($photo_id, 'gallery_m', true);
		    }
		    
		    $last_class = '';
		    if(($key+1)%4==0)
		    {
		    	$last_class = 'last';
		    }
		    
		    //Get image meta data
		    $image_title = get_the_title($photo_id);
		    $image_desc = get_post_field('post_content', $photo_id);
		    
		    $return_html.= '<div class="wall_entry">';
			
			if(!empty($small_image_url[0]))
			{
	    		$pp_portfolio_enable_slideshow_title = get_option('pp_portfolio_enable_slideshow_title');
	    		$pp_social_sharing = get_option('pp_social_sharing');

				$return_html.= '<div class="wall_thumbnail dynamic_height gallery_type animated'.($key+1).'">';
				$return_html.= '<a ';
				if(!empty($pp_portfolio_enable_slideshow_title)) 
				{ 
					$return_html.= 'data-title="<strong>'.$image_title.'</strong> ';
					if(!empty($image_desc)) 
					{ 
						$return_html.= $image_desc; 
					} 
					if(!empty($pp_social_sharing)) 
					{ 
						$return_html.= '<br/><br/><br/><br/><a class=\'button\' href=\''.get_permalink($photo_id).'\'>'.__( 'Comment & share', THEMEDOMAIN ).'</a>';
					} 
					$return_html.= '"';
				}
				
				$return_html.= 'class="fancy-gallery" data-fancybox-group="fancybox-thumb" href="'.$image_url[0].'">';
    			$return_html.= '<img src="'.$small_image_url[0].'" alt="" class=""/>
		    		</a>
		    	</div>';
			}		
			$return_html.= '</div>';
		}
		
		$return_html.= '</div>';
	}
	
	$return_html.= '<br class="clear"/></div></div>';
	
	return $return_html;
}

add_shortcode('ppb_gallery', 'ppb_gallery_func');


function ppb_blog_func($atts, $content) {
	remove_filter('the_content', 'pp_formatter', 99);

	//extract short code attr
	extract(shortcode_atts(array(
		'size' => 'one',
		'title' => '',
		'category' => '',
		'items' => '',
		'background' => '',
	), $atts));
	
	$return_html = '<div class="'.$size.' withpadding ';
	
	if(!empty($background))
	{
		$return_html.= 'withbg';
	}
	
	$return_html.= '" ';
	
	if(!empty($background))
	{
		$return_html.= 'style="background-image: url('.$background.');background-attachment: fixed;background-position: left top;background-repeat: repeat;" data-type="background" data-speed="10"';
	}
	
	$return_html.= '>';
	
	$return_html.='<div class="page_content_wrapper" style="text-align:center">';
	
	if(!is_numeric($items))
	{
		$items = 3;
	}
	
	//Display Title
	if(!empty($title))
	{
		$return_html.= '<h2 class="ppb_title">'.$title.'</h2>';
	}
	
	//Display Content
	if(!empty($content))
	{
		$return_html.= '<div class="page_caption_desc">'.$content.'</div>';
	}
	
	//Get blog posts
	$args = array(
	    'numberposts' => $items,
	    'order' => 'DESC',
	    'orderby' => 'post_date',
	    'post_type' => array('post'),
	);

	if(!empty($category))
	{
		$args['category'] = $category;
	}
	$posts_arr = get_posts($args);
	
	if(!empty($posts_arr) && is_array($posts_arr))
	{
		$return_html.= '<div id="blog_grid_wrapper" class="sidebar_content full_width ppb_blog_posts">';
	
		foreach($posts_arr as $key => $ppb_post)
		{
			$animate_layer = $key+7;
			$image_thumb = '';
										
			if(has_post_thumbnail($ppb_post->ID, 'large'))
			{
			    $image_id = get_post_thumbnail_id($ppb_post->ID);
			    $image_thumb = wp_get_attachment_image_src($image_id, 'large', true);
			}
			
			$return_html.= '<div id="post-'.$ppb_post->ID.'" class="post type-post hentry status-publish">
			<div class="post_wrapper grid_layout">';
	
	    	if(!empty($image_thumb))
	    	{
	    		$small_image_url = wp_get_attachment_image_src($image_id, 'blog_g', true);
	    
			    $return_html.= '<div class="post_img grid fade-in">
			    	<a href="'.get_permalink($ppb_post->ID).'">
			    		<img src="'.$small_image_url[0].'" alt="" class=""/>
			    	</a>
			    </div>';
	    	}
	    
		    $return_html.= '<div class="ppb_blog_desc">
			    <div class="post_header grid">
			    	<h6><a href="'.get_permalink($ppb_post->ID).'" title="'.get_the_title($ppb_post->ID).'">'.get_the_title($ppb_post->ID).'</a></h6>
			    	<div class="post_detail grid">
			    		'.get_the_time(THEMEDATEFORMAT, $ppb_post->ID).'
			    	</div>
			    </div>';
		    
		    $return_html.= pp_substr(get_excerpt_by_id($ppb_post->ID), 100);
		    
		    
		    $return_html.= '<br/><br/>
	    	<a class="button" href="'.get_permalink($ppb_post->ID).'">'.__( 'Read More', THEMEDOMAIN ).' →</a>
	    </div>    
	</div>
</div>';
		}
		
		$return_html.= '</div>';
	}
	
	$return_html.= '<br class="clear"/></div></div>';
	
	return $return_html;
}

add_shortcode('ppb_blog', 'ppb_blog_func');


function ppb_service_func($atts, $content) {
	remove_filter('the_content', 'pp_formatter', 99);

	//extract short code attr
	extract(shortcode_atts(array(
		'size' => 'one',
		'title' => '',
		'items' => 3,
		'category' => '',
		'order' => 'default',
	), $atts));
	
	if(!is_numeric($items))
	{
		$items = 4;
	}
	
	$return_html = '<div class="'.$size.' withpadding">';
	$return_html.='<div class="page_content_wrapper" style="text-align:center">';
	
	//Display Title
	if(!empty($title))
	{
		$return_html.= '<h2 class="ppb_title">'.$title.'</h2>';
	}
	
	//Display Content
	if(!empty($content))
	{
		$return_html.= '<div class="page_caption_desc">'.$content.'</div>';
	}
	
	$service_order = 'ASC';
	$service_order_by = 'menu_order';
	switch($order)
	{
		case 'default':
			$service_order = 'ASC';
			$service_order_by = 'menu_order';
		break;
		
		case 'newest':
			$service_order = 'DESC';
			$service_order_by = 'post_date';
		break;
		
		case 'oldest':
			$service_order = 'ASC';
			$service_order_by = 'post_date';
		break;
		
		case 'title':
			$service_order = 'ASC';
			$service_order_by = 'title';
		break;
		
		case 'random':
			$service_order = 'ASC';
			$service_order_by = 'rand';
		break;
	}
	
	//Get portfolio items
	$args = array(
	    'numberposts' => $items,
	    'order' => $service_order,
	    'orderby' => $service_order_by,
	    'post_type' => array('services'),
	);
	
	if(!empty($set))
	{
		$args['servicecats'] = $category;
	}
	$services_arr = get_posts($args);

	if(!empty($services_arr) && is_array($services_arr))
	{
		$return_html.= '<div class="service_content_wrapper">';
		$last_class = '';
	
		foreach($services_arr as $key => $service)
		{
			if(($key+1)%4==0)
			{
				$last_class = 'last';
			}
			else
			{
				$last_class = '';
			}
			
			$return_html.= '<div class="one_fourth '.$last_class.'">';
			
			$image_url = '';
			$service_ID = $service->ID;
					
			if(has_post_thumbnail($service_ID, 'large'))
			{
			    $image_id = get_post_thumbnail_id($service_ID);
			    $image_url = wp_get_attachment_image_src($image_id, 'original', true);
			}
			
			$return_html.= '<div class="service_wrapper">';
			$return_html.= '<div class="service_title">';
			
			if(isset($image_url[0]) && !empty($image_url[0]))
			{
				$return_html.= '<div class="service_icon"><img src="'.$image_url[0].'" alt="" /></div>';
			}
			$return_html.= '<h3>'.$service->post_title.'</h3>';
			
			$return_html.= '</div>';
			
			$return_html.= '<div class="service_content">'.$service->post_content.'</div>';
			
			$return_html.= '</div>';
			$return_html.= '</div>';
		}
		
		$return_html.= '</div>';
	}
	
	$return_html.= '<br class="clear"/></div></div>';
	
	return $return_html;
}

add_shortcode('ppb_service', 'ppb_service_func');
?>