<?php
/**
 * The main template file for display search page.
 *
 * @package WordPress
*/

get_header(); 
?>

<br class="clear"/>

<div id="page_caption">
	<h1 class="cufon"><?php _e( 'Search', THEMEDOMAIN ); ?></h1>
	<div class="page_caption_desc"><?php printf( __( 'Search Results for &quot;%s&quot;', '' ), '' . get_search_query() . '' ); ?></div>
</div>

<!-- Begin content -->
<div id="page_content_wrapper">

    <div class="inner">
    
    	<!-- Begin main content -->
    	<div class="inner_wrapper" style="text-align:center">
    	
	    	<div class="sidebar_content full_width">
	    		<form class="searchform" role="search" method="get" action="<?php echo home_url(); ?>">
					<input style="width:98%" type="text" class="field searchform-s" name="s" value="<?php the_search_query(); ?>" title="<?php _e( 'Type and hit enter', THEMEDOMAIN ); ?>">
				</form>
	    	</div>
	    	
	    	<br class="clear"/><br/><br/>
	    		
	    		<div id="blog_grid_wrapper" class="sidebar_content full_width transparentbg">
	    		<?php
				global $more; $more = false; 
				$key = 0;
				
				if (have_posts()) : while (have_posts()) : the_post();
					
					$animate_layer = $key+7;
					$image_thumb = '';
												
					if(has_post_thumbnail(get_the_ID(), 'large'))
					{
					    $image_id = get_post_thumbnail_id(get_the_ID());
					    $image_thumb = wp_get_attachment_image_src($image_id, 'large', true);
					}
				?>
				
				<!-- Begin each blog post -->
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
					<div class="post_wrapper grid_layout">
					
						<?php
					    	if(!empty($image_thumb))
					    	{
					    		$small_image_url = wp_get_attachment_image_src($image_id, 'blog_g', true);
					    ?>
					    
					    <div class="post_img grid">
					    	<a href="<?php the_permalink(); ?>">
					    		<img src="<?php echo $small_image_url[0]; ?>" alt="" class="" style="width:<?php echo $small_image_url[1]; ?>px;height:<?php echo $small_image_url[2]; ?>px;"/>
					    	</a>
					    </div>
					    
					    <?php
					    	}
					    ?>
					    
					    <div style="width:95%;margin:auto;text-align:center">
						    <div class="post_header grid">
						    	<h6><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h6>
						    	<div class="post_detail grid">
						    		<a href="<?php the_permalink(); ?>"><?php echo get_the_time(THEMEDATEFORMAT); ?></a>
						    	</div>
						    </div>
					    </div>
					    
					</div>
				
				</div>
				<!-- End each blog post -->
				
				<?php $key++; ?>
				<?php endwhile; endif; ?>
	    		</div>
    		
    	</div>
    	
    	<?php
		    if($wp_query->max_num_pages > 1)
		    {
		    	if (function_exists("wpapi_pagination")) 
		    	{
		?>
				<br class="clear"/><br/><br/>
		<?php
		    	    wpapi_pagination($wp_query->max_num_pages);
		    	}
		    	else
		    	{
		    	?>
		    	    <div class="pagination"><p><?php posts_nav_link(' '); ?></p></div>
		    	<?php
		    	}
		    ?>
		    <div class="pagination_detail">
		     	<?php
		     		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		     	?>
		     	<?php _e( 'Page', THEMEDOMAIN ); ?> <?php echo $paged; ?> <?php _e( 'of', THEMEDOMAIN ); ?> <?php echo $wp_query->max_num_pages; ?>
		     </div>
		     <?php
		     }
		?>
    	
    </div>
</div>
<br class="clear"/><br/><br/>
<?php get_footer(); ?>