<?php
/**
 * The main template file for display fullscreen vimeo video
 *
 * @package WordPress
 */

$portfolio_video_id = get_post_meta($post->ID, 'portfolio_video_id', true);

//important to apply dynamic header & footer style
global $pp_homepage_style;
$pp_homepage_style = 'fullscreen_video';

get_header();
?>

<div id="imageFlow_gallery_info" class="fadeIn">
	<div class="imageFlow_gallery_info_wrapper">
		<h1><?php the_title(); ?></h1><br/><hr/>
		<?php
			$portoflio_post_content = get_post_field('post_content', $post->ID);
    		
    		if(!empty($portoflio_post_content))
    		{
    	?>
			<br/><div class="page_caption_desc"><?php echo $portoflio_post_content; ?></div>
		<?php
			}
		?>
		<br/>
		<div class="imageFlow_gallery_info_author">
			<?php _e( 'Posted On', THEMEDOMAIN ); ?> <?php echo get_the_time(THEMEDATEFORMAT); ?>
		</div>
		<a id="flow_view_button" class="button" href="#"><?php _e( 'View Video', THEMEDOMAIN ); ?></a>
		
		<?php
			//Get Social Share
			get_template_part("/templates/template-share");
		?>
		
		<br class="clear"/><br/><br/><hr/><br/>
		<?php
			//Get Previous and Next Post
			$prev_post = get_previous_post();
			$next_post = get_next_post();
		?>
		<div class="page_caption_desc">
			<div class="portfolio_nav">
			<?php
				if(!empty($prev_post))
				{
			?>
				<a href="<?php echo get_permalink($prev_post->ID); ?>"><?php _e( '<< Previous', THEMEDOMAIN ); ?></a>
			<?php
				}
			?>
			<?php
				if(!empty($next_post))
				{
			?>
				<a href="<?php echo get_permalink($next_post->ID); ?>"><?php _e( 'Next >>', THEMEDOMAIN ); ?></a>
			<?php
				}
			?>		
			</div>		
		</div>
	</div>
</div>
<a id="flow_info_button" class="button" href="#"><?php _e( 'Display Video Info', THEMEDOMAIN ); ?></a>

<div id="vimeo_bg">
	<iframe frameborder="0" src="http://player.vimeo.com/video/<?php echo $portfolio_video_id; ?>?title=0&amp;byline=0&amp;portrait=0&amp;autoplay=1&amp;loop=0" webkitallowfullscreen="" allowfullscreen=""></iframe>
</div>

<?php
	get_footer();
?>