<?php
/**
 * The main template file for display single post page.
 *
 * @package WordPress
*/

get_header(); 

?>

<br class="clear"/>

<div id="page_caption">
    <?php
        //Get site title
        $site_title = get_bloginfo('title');
    ?>
    <!--<h1 class="cufon"><?php _e( 'The Blog', THEMEDOMAIN ); ?></h1>-->
    <!--<div class="page_caption_desc"><?php echo $site_title; ?></div>-->
</div>

<?php
//If display feat content
$pp_blog_feat_content = get_option('pp_blog_feat_content');

/**
*	Get current page id
**/

$current_page_id = $post->ID;
$post_gallery_id = '';
if(!empty($pp_blog_feat_content))
{
	$post_gallery_id = get_post_meta($current_page_id, 'post_gallery_id', true);
}

/*
    Check if post item has featured gallery
*/
if(!empty($post_gallery_id))
{
    //Run flow gallery data
    wp_enqueue_script("script-flow-gallery", get_template_directory_uri()."/templates/script-flow-gallery.php?gallery_id=".$post_gallery_id."&location=portfolio", false, THEMEVERSION, true);
?>
<div class="single_portfolio_gallery">
    <div id="imageFlow" class="single_portfolio">
    	<div class="text">
    		<div class="title"></div>
    		<div class="legend"></div>
    	</div>
    </div>
    
    <input type="hidden" id="pp_image_path" name="pp_image_path" value="<?php echo get_template_directory_uri(); ?>/images/"/>
    <?php
    	$pp_enable_reflection = get_option('pp_enable_reflection');
    ?>
    <input type="hidden" id="pp_enable_reflection" name="pp_enable_reflection" value="<?php echo $pp_enable_reflection; ?>"/>
</div>	

<?php
}
?>
<div id="page_content_wrapper" <?php if(!empty($post_gallery_id)) { ?>style="margin-top:0"<?php }?>>
    
    <div class="inner">

    	<!-- Begin main content -->
    	<div class="inner_wrapper">

    		<div class="sidebar_content">
					
<?php

global $more; $more = false; # some wordpress wtf logic

if (have_posts()) : while (have_posts()) : the_post();

	$image_thumb = '';
								
	if(!empty($pp_blog_feat_content) && has_post_thumbnail(get_the_ID(), 'large'))
	{
	    $image_id = get_post_thumbnail_id(get_the_ID());
	    $image_thumb = wp_get_attachment_image_src($image_id, 'large', true);
	}
?>
						
<!-- Begin each blog post -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="post_wrapper">
	    
	    <div class="post_date">
	    	<div class="date"><?php the_time('j'); ?></div>
		    <div class="month"><?php the_time('M'); ?></div>
		</div>
	    
	    <div class="post_content_wrapper">
	    
	    	<?php
		    	if(!empty($image_thumb) && empty($post_gallery_id))
		    	{
		    		$small_image_url = wp_get_attachment_image_src($image_id, 'blog', true);
		    ?>
		    
		    <div class="post_img">
		    	<img src="<?php echo $small_image_url[0]; ?>" alt="" class="" style="width:<?php echo $small_image_url[1]; ?>px;height:<?php echo $small_image_url[2]; ?>px;"/>
		    </div>
		    
		    <?php
		    	}
		    ?>
	    
		    <div class="post_header">
		    	<h5 class="cufon"><?php the_title(); ?></h5>
		    	<div class="post_detail">
					<?php
			    		$post_categories = wp_get_post_categories(get_the_ID());
			    		
			    		foreach($post_categories as $c)
			    		{
							$cat = get_category( $c );
					?>
						<a href="<?php echo get_category_link($cat->term_id); ?>"><?php echo $cat->name; ?></a> /
					<?php
						}
			    	?>
			    	<a href="<?php the_permalink(); ?>"><?php comments_number(__('0 Comment', THEMEDOMAIN), __('1 Comment', THEMEDOMAIN), __('% Comments', THEMEDOMAIN)); ?></a> / <?php echo get_the_time(THEMEDATEFORMAT); ?>
				</div>
			    <br class="clear"/>
			    
			    <?php
			    	the_content();
			    ?>
			    <br/><br/>
				<?php the_tags(__('Tags:&nbsp;', THEMEDOMAIN), ', ', '<br />'); ?>
		    </div>
		    
		    <?php
				//Get Social Share
				get_template_part("/templates/template-share");
			?>
	    </div>
	    
	</div>

</div>
<br class="clear"/>
<!-- End each blog post -->

<?php comments_template( '' ); ?>

<?php wp_link_pages(); ?>

<?php endwhile; endif; ?>
						
    	</div>

    		<div class="sidebar_wrapper">
    		
    			<div class="sidebar_top"></div>
    		
    			<div class="sidebar">
    			
    				<div class="content">
    			
    					<ul class="sidebar_widget">
    					<?php dynamic_sidebar('Single Post Sidebar'); ?>
    					</ul>
    				
    				</div>
    		
    			</div>
    			<br class="clear"/>
    	
    			<div class="sidebar_bottom"></div>
    		</div>
    
    </div>
    <!-- End main content -->
   
</div>

<?php
	global $prev_post;
	
    //Get More Story Module
    $pp_blog_more_story = get_option('pp_blog_more_story');
    
    if(!empty($prev_post) && !empty($pp_blog_more_story))
    {
    	$post_more_image = '';
    	if(has_post_thumbnail(get_the_ID(), 'gallery_3m'))
    	{
    	    $post_more_image_id = get_post_thumbnail_id($prev_post->ID);
    	    $post_more_image = wp_get_attachment_image_src($post_more_image_id, 'gallery_3m', true);
    	}
?>
<div id="post_more_wrapper" class="hiding">
    <a href="javascript:;" id="post_more_close"><img src="<?php echo get_template_directory_uri(); ?>/images/popup_close.png" alt=""/></a>
    <h2 class="widgettitle"><span><?php _e( 'More Story', THEMEDOMAIN ); ?></span></h2>
    <?php
    	if(!empty($post_more_image))
    	{
    ?>
    <div class="post_more_img_wrapper">
    	<a href="<?php echo get_permalink($prev_post->ID); ?>">
    		<img src="<?php echo $post_more_image[0]; ?>" alt=""/>
    	</a>
    </div>
    <?php
    	}
    ?>
    <a class="post_more_title" href="<?php echo get_permalink($prev_post->ID); ?>">
    	<h6 style="margin-top:-5px"><?php echo $prev_post->post_title; ?></h6>
    </a>
    <?php echo pp_substr(strip_tags(strip_shortcodes($prev_post->post_content)), 120); ?>
</div>
<?php
    }
?> 
<br class="clear"/><br/>
<?php get_footer(); ?>