<?php
/**
 * The main template file for display portfolio page.
 *
 * @package WordPress
 */

/**
*	Get Current page object
**/
$page = get_page($post->ID);
$current_page_id = '';

if(isset($page->ID))
{
    $current_page_id = $page->ID;
}

//Check if gallery template
global $page_gallery_id;
if(!empty($page_gallery_id))
{
	$current_page_id = $page_gallery_id;
}

//Check if password protected
$gallery_password = get_post_meta($current_page_id, 'gallery_password', true);
if(!empty($gallery_password))
{
	session_start();
	
	if(!isset($_SESSION['gallery_page_'.$current_page_id]) OR empty($_SESSION['gallery_page_'.$current_page_id]))
	{
		get_template_part("/templates/template-password");
		exit;
	}
}

//Get gallery images
$all_photo_arr = get_post_meta($current_page_id, 'wpsimplegallery_gallery', true);

//Get global gallery sorting
$all_photo_arr = pp_resort_gallery_img($all_photo_arr);

get_header(); 

?>

<br class="clear"/>

<div id="page_caption">
	<?php
		$gallery_post_title = get_post_field('post_title', $current_page_id);
	?>
	<h1><?php echo $gallery_post_title; ?></h1>
	<?php
		$gallery_tagline = get_post_meta($current_page_id, 'gallery_tagline', true);
		
		if(!empty($gallery_tagline))
		{
	?>
		<div class="page_caption_desc"><?php echo $gallery_tagline; ?></div>
	<?php
		}
	?>
</div>

<!-- Begin content -->
<div id="page_content_wrapper">
    
    <div class="inner">

    	<div class="inner_wrapper">
	    	
	    	<?php
				//Get Page LayerSlider
				$page_layerslider = get_post_meta($current_page_id, 'page_layerslider', true);
				
				if($page_layerslider > 0)
				{
					echo '<div class="page_layerslider">'.do_shortcode('[layerslider id="'.$page_layerslider.'"]').'</div>';
				}
			?>
	    	
	    	<?php 
	    		//Get gallery content
	    		$gallery_post_content = get_post_field('post_content', $current_page_id);
	    		
	    		if(!empty($gallery_post_content))
	    		{
		    		echo $gallery_post_content;
	    		}
	    	?>
	    	
	    <div id="page_main_content" class="sidebar_content full_width">
		
		<div class="gallery_mansory_wrapper">
    	
    	<?php
    		$key = 0;
	        foreach($all_photo_arr as $photo_id)
	        {
	        	$small_image_url = '';
	        	$hyperlink_url = get_permalink($photo_id);
	        	
	        	if(!empty($photo_id))
	        	{
	        		$image_url = wp_get_attachment_image_src($photo_id, 'original', true);
	        	    $small_image_url = wp_get_attachment_image_src($photo_id, 'gallery_3m', true);
	        	}
	        	
	        	$last_class = '';
	        	if(($key+1)%4==0)
	        	{
	        		$last_class = 'last';
	        	}
	        	
	        	//Get image meta data
	        	$image_title = get_the_title($photo_id);
	        	$image_desc = get_post_field('post_content', $photo_id);
    			
    			$last_class = '';
    			$thumb_image_url = $small_image_url[0];
    			$thumb_width = $small_image_url[1];
    			$thumb_height = $small_image_url[2];
    	?>
    	
    	<div class="mansory_thumbnail three_cols">
    		<div class="gallery_type animated<?php echo $key+1; ?>">
    		<?php 
    			if(!empty($thumb_image_url))
    			{
    				$pp_portfolio_enable_slideshow_title = get_option('pp_portfolio_enable_slideshow_title');
    				$pp_social_sharing = get_option('pp_social_sharing');
    		?>		
    				<img src="<?php echo $thumb_image_url; ?>" alt="" class="blur_effect"/>
    				
    				<a <?php if(!empty($pp_portfolio_enable_slideshow_title)) { ?>data-title="<strong><?php echo $image_title; ?></strong> <?php if(!empty($image_desc)) { ?><?php echo $image_desc; ?><?php } ?><?php if(!empty($pp_social_sharing)) { ?><br/><br/><br/><br/><a class='button' href='<?php echo get_permalink($photo_id); ?>'><?php _e( 'Comment & share', THEMEDOMAIN ); ?></a><?php } ?>"<?php } ?> class="fancy-gallery" data-fancybox-group="fancybox-thumb" href="<?php echo $image_url[0]; ?>">
		    			<div class="mask">
				        	<div class="mask_circle">
						    	<img src="<?php echo get_template_directory_uri(); ?>/images/icon_magnify.png" alt="" width="40" height="40"/>
					    	</div> 
				        </div>
		    		</a>
    		<?php
    			}		
    		?>			
    		</div>
    	</div>
    	
    	<?php
    			$key++;
    		}
    	?>
    	</div>
    	
    	
		<?php
			//Get Social Share
			get_template_part("/templates/template-share");
		?>
    	
	    </div>
	    	
	</div>
	    
</div>

<?php
$gallery_audio = get_post_meta($current_page_id, 'gallery_audio', true);

if(!empty($gallery_audio))
{
?>
<div class="gallery_audio">
	<?php echo do_shortcode('[audio width="30" height="30" src="'.$gallery_audio.'"]'); ?>
</div>
<?php
}
?>
<br class="clear"/><br/>
<?php get_footer(); ?>